const baseLogin = (I) => {
    I.amOnPage('/login')
    I.fillField({id: 'email'}, 'admin@admin.com')
    I.fillField({id: 'password'}, '1qaz@WSX29')
    I.click({name: 'login_btn'})
    I.wait(3)
    I.click('Напоминть мне позже')
    I.click({id: 'notifications_icon'})
    I.click('Подтвердить пользователя')
    I.waitForText('Успешно подтвержден')
}

Feature('Пользователи');
// Scenario('Регистрация пользователя', async ({I}) => {
//     I.amOnPage('register')
//     I.fillField({id: 'email'}, 'qwertgfsd@gmail.com');
//     I.fillField({id: 'phone_number'}, '12345678435');
//     I.fillField({id: 'last_name'}, 'Familiya');
//     I.fillField({id: 'first_name'}, 'Imya');
//     I.fillField({id: 'password'}, '1qaz@WSX29');
//     I.fillField({id: 'confirm_password'}, '1qaz@WSX29');
//     I.click('Зарегистрироваться')
//     I.waitForText('Подтвердите свой email, иначе вы не сможете получать важные уведомления от Attractor School')
// });
//

Scenario('Уведомление администрации о регистрации', async ({I}) => {
    baseLogin(I)
});